{
        Program Name : CEF32
        Package Name : CEF32
        Purpose      : CEF32 application
        Institution  :
        Date Written : 27-Apr-2000
        Written By   : Alan Conroy
        Version      : 1.0

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        Released to the public domain.
        
        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This program is the generic CEF interface.
}

program CEF32 ;

uses
  Forms,
  _App,
  App,
  CEFMain in 'CEFMain.pas' {Main_Form},
  CEF,
  Clock,
  Memory,
  About in 'About.pas' {About_Box},
  CEF_Internals in 'CEF_Internals.pas' {Internals_Form},
  Radix_Dialog in 'Radix_Dialog.pas' {Radix_Form},
  Goto_Address in 'Goto_Address.pas' {Goto_Address_Form},
  Find_Dialog in 'Find_Dialog.pas' {Find_Form},
  SSearch in 'c:\lb\ssearch.pas' {Search_Dialog},
  SReplace in 'c:\lb\sreplace.pas' {Replace_Dialog},
  Linenumb in 'c:\lb\Linenumb.pas' {line_Number_Dialog},
  SaveEdit in 'C:\lb\SaveEdit.pas' {Save_Modified_Dialog},
  Editpref in 'c:\lb\EditPref.pas' {Editor_Preferences},
  Info in 'info.pas' {Assembly_Information},
  ModReg in 'ModReg.pas' {Modify_Register},
  ModMem in 'ModMem.pas' {Modify_Memory_Dialog},
  ModConfig in 'ModConfig.pas' {Component_Configuration_Dialog},
  Create_Watchpoint in 'Create_Watchpoint.pas' {New_Watchpoint},
  mem_watchpoints_dialog in 'mem_watchpoints_dialog.pas' {Memory_Watchpoints_Dialog},
  Assembly_Status in 'Assembly_Status.pas' {Assembly_Statistics},
  Error_List in 'Error_List.pas' {Error_Dialog},
  gennum_dialog in 'c:\lb\gennum_dialog.pas' {GenNum_Form},
  Conditions_Dlg in '..\Shared\Conditions_Dlg.pas' {Conditions_Form},
  CCM in 'CCM.pas' {Component_Connection_Manager},
  CCM_Add_Dlg in 'CCM_Add_Dlg.pas' {CCM_Add_Form},
  Profile_Report in 'Profile_Report.pas' {Profile_Report_Form},
  Trace_Dlg in 'Trace_Dlg.pas' {Trace_Form},
  Trace_Log_Dlg in '..\Shared\Trace_Log_Dlg.pas' {Trace_Log_Form},
  DumpMem in 'DumpMem.pas' {Dump_Memory_Form},
  LoadMem in 'LoadMem.pas' {Load_Memory_Form};

{$R *.RES}

begin
    Application_Manager^.Name := 'CEF32' ;
    Application_Manager^.Version := 'V1.0' ;
  Application.Initialize;
  Application.HelpFile := 'CEF32';
  Application.CreateForm(TMain_Form, Main_Form);
  Application.CreateForm(TAbout_Box, About_Box);
  Application.CreateForm(TRadix_Form, Radix_Form);
  Application.CreateForm(TGoto_Address_Form, Goto_Address_Form);
  Application.CreateForm(TFind_Form, Find_Form);
  Application.CreateForm(TSearch_Dialog, Search_Dialog);
  Application.CreateForm(TReplace_Dialog, Replace_Dialog);
  Application.CreateForm(Tline_Number_Dialog, line_Number_Dialog);
  Application.CreateForm(TEditor_Preferences, Editor_Preferences);
  Application.CreateForm(TSave_Modified_Dialog, Save_Modified_Dialog);
  Application.CreateForm(TAssembly_Information, Assembly_Information);
  Application.CreateForm(TModify_Register, Modify_Register);
  Application.CreateForm(TModify_Memory_Dialog, Modify_Memory_Dialog);
  Application.CreateForm(TComponent_Configuration_Dialog, Component_Configuration_Dialog);
  Application.CreateForm(TNew_Watchpoint, New_Watchpoint);
  Application.CreateForm(TMemory_Watchpoints_Dialog, Memory_Watchpoints_Dialog);
  Application.CreateForm(TAssembly_Statistics, Assembly_Statistics);
  Application.CreateForm(TError_Dialog, Error_Dialog);
  Application.CreateForm(TConditions_Form, Conditions_Form);
  Application.CreateForm(TComponent_Connection_Manager, Component_Connection_Manager);
  Application.CreateForm(TCCM_Add_Form, CCM_Add_Form);
  Application.CreateForm(TProfile_Report_Form, Profile_Report_Form);
  Application.CreateForm(TTrace_Form, Trace_Form);
  Application.CreateForm(TTrace_Log_Form, Trace_Log_Form);
  Application.CreateForm(TDump_Memory_Form, Dump_Memory_Form);
  Application.CreateForm(TLoad_Memory_Form, Load_Memory_Form);
  Application.Run;
end.
