/*
              Program Name : ASCIIDEF
              Package Name : LB
              Purpose      : Definitions of ASCII constants
              Institution  : Conroy & Conroy Co.
              Date Written : 23-Apr-1995
              Written By   : Alan Conroy
              Version      :
              Revision     :
              Edit         :

              Copyright (c) 1995 by Alan Conroy.  Released to the public domain.

	      TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *********************************************************
        *                                                       *
        *        M O D I F I C A T I O N   H I S T O R Y        *
        *                                                       *
        *     DATE      BY             REASON                   *
        *                                                       *
        *********************************************************

        *********************************************************
        *                                                       *
        *           P R O G R A M   P U R P O S E               *
        *                                                       *
        *********************************************************

        *********************************************************
        *                                                       *
        *            F I L E   D E S C R I P T I O N S          *
        *                                                       *
        *********************************************************

*/

#define NUL = '\x0'
/* Null */
#define BEL = '\x7'
/* Bell */
#define BS = '\x8'
/* Backspace */
#define HT = '\x9'
/* Horizontal tab */
#define LF = '\x0A'
/* Linefeed */
#define FF = '\x0C'
/* Formfeed */
#define CR = '\x0D'
/* Carriage return */
#define ESC = '\x1B'
/* Escape */
#define Space = ' '
#define SP = ' '

/* DEC supplemental codes... */
#define IND = '\x84'
#define NEL = '\x85'
#define SSA = '\x86'
#define ESA = '\x87'
#define HTS = '\x88'
#define HTJ = '\x89'
#define VTS = '\x8A'
#define PLD = '\x8B'
#define PLU = '\x8C'
#define RI = '\x8D'
#define SS2 = '\x8E'
#define SS3 = '\x8F'
#define DCS = '\x90'
#define PU1 = '\x91'
#define PU2 = '\x92'
#define STS = '\x93'
#define CCH = '\x94'
#define MW = '\x95'
#define SPA = '\x96'
#define EPA = '\x97'
#define CSI = '\x9B'
#define ST = '\x9C'
#define OSC = \x9D
#define PM = '\x9E'
#define APC = '\x9F'
#define NBSP = '\xA0'

/* Used by SMU */
#define EBS = '\xFE'
/* Extended backspace */

/* Combination codes */
#define CRLF = '\x0D\x0A'
/* CR and LF */
