/*
        Program Name : Parse
        Package Name : LB
        Purpose      : Parsing routines
        Institution  : Conroy & Conroy Co.
        Date Written : 5-April-1995
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (c) 1995 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

	  Parsing routines.
*/

#include <string.h>

#include "parse.h"

char *Parse_Parameter( char *X )
{
    static char Buffer[ 256 ] ;
    int Dummy ;

    /* Find end of paramter - comma or end of string */
    Dummy = 0 ;
    while( Dummy < strlen( X ) && X[ Dummy ] != ',' )
    {
	Dummy++ ;
    } ;

    /* Build return string */
    strcpy( Buffer, X ) ;
    Buffer[ Dummy ] = 0 ;

    /* Remove parameter from passed string */
    strcpy( X, &X[ Dummy + 1 ] ) ;

    return Buffer ;
} ;
