{
        Program Name : CompInt
        Package Name : LB
        Purpose      : Compiler Interface
        Institution  : Conroy & Conroy Co.
        Date Written : 20-Feb-2004
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 2004 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This abstract class defines the interface passed to a compiler.
}

unit CompInt ;

interface

uses { C&C... }
     Files, { PsFile }
     Loggers ; { TLogger }

type TSCompiler_Interface = object( TSLogger )
                                public { API... }
                                    function Get_File( Nam : string ) : PsFile ;
                                        virtual ;
                                    procedure Release_File( P : PSFile ) ;
                                        virtual ;
                            end ;
     PSCompiler_Interface = ^TSCompiler_Interface ;

implementation

{ TSCompiler_Interface methods... }

{ API... }

function TSCompiler_Interface.Get_File( Nam : string ) : PSFile ;

begin
    Get_File := nil ;
end ;


procedure TSCompiler_Interface.Release_File( P : PSFile ) ;

begin
end ;


end.

