{
        Program Name : _Types
        Package Name : Subroutine Library - Layer 0
        Purpose      : Basic type definitions
        Institution  : Conroy & Conroy Co.
        Date Written : 14-February-2005
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 2005 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          Basic type definitions (those not requiring code).
}

unit _Types ;

interface

{$I EDEFINES.INC}

type { Integer types... }
     int8 = shortint ;
     uint8 = byte ;
{$IFDEF BP}
     smallint = integer ;
{$ENDIF}
     int16 = smallint ;
     uint16 = word ;
     int32 = longint ;
{$IFDEF _32BIT}
     uint32 = Cardinal ;
{$ENDIF}
{$IFDEF BP}
     int64 = Comp ;
{$ENDIF}

type { String types... }
{$IFDEF DELPHI}
     Small_String = string[ 255 ] ;
{$ELSE}
     Small_String = string ;
{$ENDIF}

implementation

end.
