/*
              Program Name : EDIT
              Package Name : LB
              Purpose      : String editing function
              Institution  : Conroy & Conroy
              Date Written : 30-Oct-87
              Written By   : Alan Conroy
              Version      : 1.0

	      Copyright (C) 1987 by Alan Conroy.  Released to the public domain.

              TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *********************************************************
        *                                                       *
        *        M O D I F I C A T I O N   H I S T O R Y        *
        *                                                       *
        *     DATE      BY             REASON                   *
        *                                                       *
        *                                                       *
        *********************************************************

        *********************************************************
        *                                                       *
        *           P R O G R A M   P U R P O S E               *
        *                                                       *
        *********************************************************

          This function will perform various editing functions on
        strings.  The format for function usage is: edit( dst, src, flgs )
        where flgs has the following meanings:

              AND     1 = Trim Most Significant Bit.
              AND     2 = Remove all spaces and tabs.
              AND     4 = Remove all nulls, linefeeds, formfeeds, carriage
                          returns, and deletes.
              AND     8 = Remove leading spaces.
              AND    16 = Reduce spaces and tabs to one space.
              AND    32 = Convert lower to upper case.
              AND    64 = Convert '[' to '(' and ']' to ')'.
              AND   128 = Remove all trailing spaces.
              AND   256 = Leave characters within quotes (") unmodified.
              AND   512 = Convert upper case to lower case.
              AND  1024 = Convert '[' to '{' and ']' to '}'.
              AND  2048 = Convert '(' to '[' and ')' to ']'.
              AND  4096 = Convert '(' to '{' and ')' to '}'.
              AND  8192 = Convert '{' to '(' and '}' to ')'.
              AND 16384 = Convert '{' to '[' and '}' to ']'.
*/

void Edit( char *Dst, char *Src, int Flags );
