unit inttest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TForm1 = class(TForm)
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Integers ;

{$R *.DFM}

var F : text ;
    i : integer ;
    l, ll : longint ;
    Test : TInteger ;
    Temp : comp ;
    X, Y : comp ;
    Z : TInteger ;

function Bin2String( P : PChar ; Size : integer ) : string ;

var ii, l, ll : integer ;
    s : string ;

begin
  s := '' ;
  for ii := 1 to Size do { Each byte of value }
  begin
      l := ord( P[ ii - 1 ] ) ;
      for ll := 1 to 8 do { Each bit of byte }
      begin
          if( ( l and 1 ) = 1 ) then
          begin
              s := '1' + S ;
          end else
          begin
              S := '0' + S ;
          end ;
          l := l shr 1 ;
      end ;
  end ;
  Bin2String := s ;
end ;

initialization
    assignfile( f, 'integer.txt' ) ;
    rewrite( f ) ;
    Test.Init ;
    Test.Set_Size( 16 ) ;
    Z.Init ;
    Z.Set_Size( 1 ) ;
    X := 1 ;
    Z.Set_Value( @X ) ;
    Z.Set_Size( 16 ) ;
    Test.Set_Value( Z.Value ) ;

    writeln( f, 'SHL test:' ) ;
    for i := 1 to 62 do
    begin
        X := X * 2 ;
        Test.Op_SHL( 1 ) ;
        move( Test.Value^, Y, 8 ) ;
        if( X <> Y ) then
        begin
            writeln( f, Y:1:0, ' should be ', X:1:0 ) ;
        end ;
    end ;
    Temp := X ;
    Test.Set_Value( Z.Value ) ;
    for i := 1 to 7 do
    begin
        Test.Op_SHL( 16 ) ;
        writeln( f, Bin2String( Test.Value, Test.Size ) ) ;
    end ;
    writeln( f, 'SHR test:' ) ;

    Test.Set_Size( 8 ) ;
    Test.Set_Value( @Temp ) ;
    Test.Set_Size( 16 ) ;
    for i := 1 to 62 do
    begin
        X := X / 2.0 ;
        Test.Op_SHR( 1 ) ;
        move( Test.Value^, Y, 8 ) ;
        if( X <> Y ) then
        begin
            writeln( f, Y:1:0, ' should be ', X:1:0 ) ;
        end ;
    end ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @Temp ) ;
    Test.Set_Size( 16 ) ;
    for i := 1 to 4 do
    begin
        Test.Op_SHR( 16 ) ;
        writeln( f, Bin2String( Test.Value, Test.Size ) ) ;
    end ;

    writeln( f, 'NOT test:' ) ;
    l := 1 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    for i := 1 to 31 do
    begin
        L := L shl 1 ;
        L := not L ;
        Test.Op_SHL( 1 ) ;
        Test.Op_Not ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( f, LL, ' should be ', L ) ;
        end else
        begin
            writeln( f, Bin2String( Test.Value, Test.Size ) ) ;
        end ;
    end ;

    writeln( f, 'OR test:' ) ;
    L := 5 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 16 ) ;
    Z.Set_Value( Test.Value ) ;
    for i := 1 to 32 do
    begin
        writeln( F, '   ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( F, 'or ', Bin2String( Z.Value, Z.Size ) ) ;
        Test.Op_Or( Z.Value ) ;
        writeln( f, ' = ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( f ) ;
        Test.Op_SHL( 4 ) ;
        if( i < 8 ) then
        begin
            L := L or 5 ;
            L := L shl 4 ;
            move( Test.Value^, LL, 4 ) ;
            if( L <> LL ) then
            begin
                writeln( f, L, ' should be ', LL ) ;
            end ;
        end ;
    end ;

    writeln( f, 'And test:' ) ;
    L := 7 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 16 ) ;
    Z.Set_Value( Test.Value ) ;
    for i := 1 to 8 do
    begin
        writeln( F, '    ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( F, 'and ', Bin2String( Z.Value, Z.Size ) ) ;
        Test.Op_And( Z.Value ) ;
        writeln( f, ' =  ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( f ) ;
        Test.Op_SHL( 1 ) ;
        if( i < 8 ) then
        begin
            L := L and 7 ;
            L := L shl 1 ;
            move( Test.Value^, LL, 4 ) ;
            if( L <> LL ) then
            begin
                writeln( f, L, ' should be ', LL ) ;
            end ;
        end ;
    end ;

    writeln( f, 'Xor test:' ) ;
    L := 7 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 16 ) ;
    Z.Set_Value( Test.Value ) ;
    for i := 1 to 64 do
    begin
        writeln( F, '    ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( F, 'xor ', Bin2String( Z.Value, Z.Size ) ) ;
        Test.Op_Xor( Z.Value ) ;
        writeln( f, ' =  ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( f ) ;
        Test.Op_SHL( 2 ) ;
        if( i < 8 ) then
        begin
            L := L xor 7 ;
            L := L shl 2 ;
            move( Test.Value^, LL, 4 ) ;
            if( L <> LL ) then
            begin
                writeln( f, L, ' should be ', LL ) ;
            end ;
        end ;
    end ;

    writeln( f, 'NOR test:' ) ;
    L := 5 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 16 ) ;
    Z.Set_Value( Test.Value ) ;
    for i := 1 to 32 do
    begin
        writeln( F, '    ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( F, 'nor ', Bin2String( Z.Value, Z.Size ) ) ;
        Test.Op_Nor( Z.Value ) ;
        writeln( f, ' =  ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( f ) ;
        Test.Op_SHL( 4 ) ;
        if( i < 8 ) then
        begin
            L := L or 5 ;
            L := not L ;
            L := L shl 4 ;
            move( Test.Value^, LL, 4 ) ;
            if( L <> LL ) then
            begin
                writeln( f, L, ' should be ', LL ) ;
            end ;
        end ;
    end ;

    writeln( f, 'Nand test:' ) ;
    L := 7 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 16 ) ;
    Z.Set_Value( Test.Value ) ;
    for i := 1 to 8 do
    begin
        writeln( F, '     ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( F, 'nand ', Bin2String( Z.Value, Z.Size ) ) ;
        Test.Op_Nand( Z.Value ) ;
        writeln( f, '  =  ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( f ) ;
        Test.Op_SHL( 1 ) ;
        if( i < 8 ) then
        begin
            L := L and 7 ;
            L := not L ;
            L := L shl 1 ;
            move( Test.Value^, LL, 4 ) ;
            if( L <> LL ) then
            begin
                writeln( f, L, ' should be ', LL ) ;
            end ;
        end ;
    end ;

    writeln( f, 'Xnor test:' ) ;
    L := 7 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 16 ) ;
    Z.Set_Value( Test.Value ) ;
    for i := 1 to 64 do
    begin
        writeln( F, '     ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( F, 'xnor ', Bin2String( Z.Value, Z.Size ) ) ;
        Test.Op_Xnor( Z.Value ) ;
        writeln( f, '  =  ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( f ) ;
        Test.Op_SHL( 2 ) ;
        if( i < 8 ) then
        begin
            L := L xor 7 ;
            L := not L ;
            L := L shl 2 ;
            move( Test.Value^, LL, 4 ) ;
            if( L <> LL ) then
            begin
                writeln( f, L, ' should be ', LL ) ;
            end ;
        end ;
    end ;

    writeln( f, 'Sign test:' ) ;
    X := 0 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    if( Test.Sign <> 0 ) then
    begin
        writeln( f, 'Sign does not return 0' ) ;
    end ;
    X := -1 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    if( Test.Sign <> -1 ) then
    begin
        writeln( f, 'Sign does not return -1' ) ;
    end ;
    X := -65536 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    if( Test.Sign <> -1 ) then
    begin
        writeln( f, 'Sign does not return -1' ) ;
    end ;
    X := 1 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    if( Test.Sign <> 1 ) then
    begin
        writeln( f, 'Sign does not return 1' ) ;
    end ;
    X := 65536 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    if( Test.Sign <> 1 ) then
    begin
        writeln( f, 'Sign does not return 1' ) ;
    end ;

    writeln( f, 'ADD test:' ) ;
    L := 0 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    LL := 2 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 10 do
    begin
        L := L + 2 ;
        Test.Op_Add( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( F, LL, ' should be ', L ) ;
        end ;
    end ;
    LL := 512 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 10 do
    begin
        L := L + 512 ;
        Test.Op_Add( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( F, LL, ' should be ', L ) ;
        end ;
    end ;
    LL := 65536 * 2 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 10 do
    begin
        L := L + 65536 * 2 ;
        Test.Op_Add( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( F, LL, ' should be ', L ) ;
        end ;
    end ;
    LL := $7FFFFFFF ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 10 do
    begin
        writeln( f, ' ', Bin2String( Test.Value, Test.Size ) ) ;
        writeln( f, '+', Bin2String( Z.Value, Z.Size ) ) ;
        Test.Op_Add( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        writeln( F, '=', Bin2String( Test.Value, Test.Size ) ) ;
    end ;

    writeln( f, 'SUBTRACT test:' ) ;
    L := 0 ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    LL := 1 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Test.Op_Sub( Z.Value ) ;
    move( Test.Value^, LL, 4 ) ;
    if( LL <> -1 ) then
    begin
        writeln( f, LL, ' should be -1' ) ;
    end ;
    L := $7FFFFFFF ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    Test.Set_Size( 16 ) ;
    LL := 65536 * 2 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 10 do
    begin
        L := L - 65536 * 2 ;
        Test.Op_Sub( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( F, LL, ' should be ', L ) ;
        end ;
    end ;
    LL := 512 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 10 do
    begin
        L := L - 512 ;
        Test.Op_Sub( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( F, LL, ' should be ', L ) ;
        end ;
    end ;
    LL := 3 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 10 do
    begin
        L := L - 3 ;
        Test.Op_Sub( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( F, LL, ' should be ', L ) ;
        end ;
    end ;

    writeln( f, 'NEG test:' ) ;
    X := 0 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    X := -X ;
    Test.Op_Neg ;
    move( Test.Value^, Y, 8 ) ;
    if( Y <> X ) then
    begin
        writeln( f, Y, ' should be ', X ) ;
    end ;
    X := 1 ;
    Test.Set_Value( @X ) ;
    for i := 1 to 62 do
    begin
        X := -X ;
        Test.Op_Neg ;
        move( Test.Value^, Y, 8 ) ;
        if( X <> Y ) then
        begin
            writeln( f, Y, ' should be ', X ) ;
        end ;
        X := -X ;
        Test.Op_Neg ;
        X := X * 2 ;
        Test.Op_SHL( 1 ) ;
    end ;

    writeln( f, 'MULTIPLY test:' ) ;
    X := 3 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 8 ) ;
    Z.Set_Value( @X ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 16 do
    begin
        X := X * 3 ;
        Test.Op_Multiply( Z.Value ) ;
        move( Test.Value^, Y, 8 ) ;
        if( X <> Y ) then
        begin
            writeln( f, Y, ' should be ', X ) ;
        end ;
    end ;
    X := 2 ;
    Test.Set_Size( 8 ) ;
    Test.Set_Value( @X ) ;
    Test.Set_Size( 16 ) ;
    Z.Set_Size( 8 ) ;
    Z.Set_Value( @X ) ;
    Z.Set_Size( 16 ) ;
    for i := 1 to 128 do
    begin
        Test.Op_Multiply( Z.Value ) ;
        writeln( f, Bin2String( Test.Value, Test.Size ) ) ;
    end ;

    writeln( f, 'Division test:' ) ;
    L := $7FFFFFFF ;
    Test.Set_Size( 4 ) ;
    Test.Set_Value( @L ) ;
    LL := 3 ;
    Z.Set_Size( 4 ) ;
    Z.Set_Value( @LL ) ;
    for i := 1 to 32 do
    begin
        L := L div 3 ;
        Test.Op_Divide( Z.Value ) ;
        move( Test.Value^, LL, 4 ) ;
        if( L <> LL ) then
        begin
            writeln( f, LL, ' should be ', L ) ;
        end ;
    end ;

    Z.Done ;
    Test.Done ;
    writeln( f, 'Tests complete' ) ;
    closefile( f ) ;
end.
