;		Program Name : ODigits
;		Package Name : LB
;		Purpose	     : Return number of octal digits in number
;		Institution  : Conroy & Conroy Company
;		Date Written : 11-Nov-86
;		Written By   : Alan Conroy
;		Version      : 9.2-10
;
;	*********************************************************
;	*							*
;	*	M O D I F I C A T I O N   H I S T O R Y		*
;	*							*
;	*    DATE	BY		REASON			*
;	*							*
;	*********************************************************
;
;	*********************************************************
;	*							*
;	*	P R O G R A M   P U R P O S E			*
;	*							*
;	*********************************************************
;
;	  This routine determines the number of digits (octal) in the value
;	in AX and returns the count in CX.
;

ODigits:
	PUSHF	; Save flags
	MOV  CX, 6 ; Assume six digits
	TEST AX, 8000H ; Sixth digit?
	JNZ  ODigit0 ; Yup
	DEC  CX ; Assume five digits
	TEST AX, 7000H ; Fifth digit?
	JNZ  ODigit0 ; Yup
	DEC  CX ; Assume four digits
	TEST AX, 0E00H ; Fourth digit?
	JNZ  ODigit0 ; Yup
	DEC  CX ; Assume three digits
	TEST AX, 1C0H ; Third digit?
	JNZ  ODigit0 ; Yup
	DEC  CX ; Assume two digits
	TEST AX, 38H ; Second digit?
	JNZ  ODigit0 ; Yup
	DEC  CX ; Only one digit
ODigits0:
	POPF	; Restore flags
	RET	; All done
