{
        Program Name : TRS80_1_KB
        Package Name : CEF
        Purpose      : TRS80 Model I keyboard
        Institution  : Conroy & Conroy Co.
        Date Written : 31-Jan-2007
        Written By   : Alan Conroy
        Version      : 1.0

	Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This is a CEF keyboard component with the TRS80 model I layout.
}

library TRS80_1_KB ;

uses
  Forms,
  App,
  CEF,
  TRS_80_1_KB in 'TRS_80_1_KB.pas',
  TRS80_1_KB_main in 'TRS80_1_KB_main.pas' {Main_Form};

{$R *.res}

const TRS80_1KB_Facility = -1 ;

function Facility_Code : integer ; stdcall ;

begin
    Result := TRS80_1KB_Facility ;
end ;


function Make_Instance( Serial_Number : integer ; UI : TUI_Interface ) : TTRS80_1KB ;
    stdcall ;

begin
    Result := TTRS80_1KB.Create ;
    Result.Initialize( UI ) ;
    Result._Serial_Number := Serial_Number ;
end ;


function Version : longint ;

begin
    Version := 20 ; // Version 2.0
end ;


{$WARNINGS OFF}
exports Facility_Code index 0,
        Make_Instance index 1,
        Version index 2 ;
{$WARNINGS ON}


var F : TForm ;

begin
    Application.Initialize ;
    Application.CreateForm(TForm, F);
    F.Visible := False ;
    { Delphi kills the DLL when the first created form is closed, so create this
      form so if the screen is destroyed (by terminating the TTRS80_1
      object), the DLL remains. }
end.
